Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
page = client.fine_tuning_jobs.list()
page = page.items[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.FineTuningJobs.List(context.TODO(), sgp.FineTuningJobListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.egp.scale.com/v4/fine-tuning-jobsconst options = {method: 'GET'};
fetch('https://api.egp.scale.com/v4/fine-tuning-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"training_dataset_id": "<string>",
"status": "PENDING",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"base_model_id": "<string>",
"vendor_configuration": {
"vendor": "LAUNCH",
"hyperparameters": {},
"wandb_config": {},
"suffix": "<string>",
"output": "<string>"
},
"fine_tuned_model_id": "<string>",
"validation_dataset_id": "<string>"
}
],
"total_item_count": 123,
"current_page": 123,
"items_per_page": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Fine Tuning Jobs V3 (Beta)
List Fine Tuning Jobs
Description
Lists all fine tuning jobs accessible to the user.
Details
This API can be used to list fine tuning jobs. If a user has access to multiple accounts, all fine tuning jobs from all accounts the user is associated with will be returned.
GET
/
v4
/
fine-tuning-jobs
Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
page = client.fine_tuning_jobs.list()
page = page.items[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.FineTuningJobs.List(context.TODO(), sgp.FineTuningJobListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Query Parameters
Page number for pagination to be returned by the given endpoint. Starts at page 1
Required range:
x >= 1Maximum number of artifacts to be returned by the given endpoint. Defaults to 100 and cannot be greater than 10k.
Required range:
1 <= x <= 10000Response
Successful Response

